# -*- coding: utf-8 -*-
import xbmc, xbmcgui, xbmcplugin
import sys
try:
    from urllib2 import urlopen
except ImportError:
    from urllib.request import urlopen
try:
    from urllib import urlencode
except ImportError:
    from urllib.parse import urlencode
try:
    from urlparse import urlparse, parse_qs
except ImportError:
    from urllib.parse import urlparse, parse_qs
import t66y


def httpget(url):
    try:
        return urlopen(url).read().decode('utf-8')
    except:
        return False


def item(title, para, isFolder=True):
    listitem = xbmcgui.ListItem(title)
    if 'title' not in para:
        para['title'] = title
    for k, v in para.items():
        try:
            para[k] = v.encode('utf-8')
        except:
            pass
    xbmcplugin.addDirectoryItem(handle, sys.argv[0] + '?' + urlencode(para), listitem, isFolder)


def play(title, url):
    listitem = xbmcgui.ListItem(title)
    xbmc.Player().play(url, listitem)


def sub1(url):
    o = urlparse(url)
    p = o.path.split('/')
    if p[-1].endswith('.mp4'):
        return False
    if o.netloc == 't66y.com':
        if p[1] == 'htm_data':
            return False
    return True


def sub2(url):
    o = urlparse(url)
    p = o.path.split('/')
    while p and not p[-1]:
        p = p[:-1]
    l = len(p)
    if p[-1].endswith('.mp4'):
        play('', url)
        return
    if o.netloc == 't66y.com':
        if p[1].startswith('thread'):
            ret = t66y.test1(url)
        elif p[1].startswith('read') or p[1] == 'htm_data':
            ret = t66y.test2(url)
        else:
            xbmcgui.Dialog().ok('错误', '错误代码: t66y 021')
            return
    else:
        xbmcgui.Dialog().ok('错误', '错误代码: t66y 020')
        return
    if 'code' in ret:
        xbmcgui.Dialog().ok('错误', '错误代码: ' + ret['code'])
        return
    if 'item' in ret:
        for elem in ret['item']:
            item(elem['title'], elem, sub1(elem['url']))
        xbmcplugin.endOfDirectory(handle)
    if 'url' in ret:
        play('', ret['url'])


handle = int(sys.argv[1])
url = sys.argv[2]
if not url:
    sub2('https://t66y.com/thread0806.php?fid=22')
    xbmcplugin.endOfDirectory(handle)
else:
    o = urlparse(url)
    q = parse_qs(o.query)
    if 'url' in q:
        sub2(q['url'][0])
